Subject: Re: [PATCH 2/6] ci: check formatting of our Rust code

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 7 Oct 2025 15:50:52 +0200

On Tue, Oct 07, 2025 at 06:04:41AM -0700, Karthik Nayak wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > Introduce a CI check that verifies that our Rust code is well-formatted.
> > This check uses rustfmt(1), which is the de-facto standard in the Rust
> > world.
> >
> > The rustfmt(1) tool allows to tweak the final format in theory. In
> > practice though, the Rust ecosystem has aligned on style "editions".
> > These editions only exist to ensure that any potential changes to the
> > style don't cause reformats to existing code bases. Other than that,
> > most Rust projects out there accept this default style of a specific
> > edition.
> >
> > Let's do the same and use that default style. It may not be anyone's
> > favorite, but it is consistent and by making it part of our CI we also
> > enforce it right from the start.
> >
> > Note that we don't have to pick a specific style edition here, as the
> > edition is automatically derived from the edition we have specified in
> > our "Cargo.toml" file.
> 
> One small nit: We should mention that `cargo fmt` is simply a wrapper
> around `rustfmt`, which also handles file discovery.

Good idea, I'll include this in the next version. Thanks!

Patrick